Bug 119251 - Indents & Spacing doesn't accept non-default units
Summary: Indents & Spacing doesn't accept non-default units
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-13 14:02 UTC by Mike Kaganski
Modified: 2018-08-30 20:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-08-13 14:02:13 UTC
In Writer's Paragraph properties, try to enter an indent using non-default units: e.g., in English-US UI, with centimeters set as default for Writer, try to set Before text to 20mm.

Prior to https://cgit.freedesktop.org/libreoffice/core/commit/?id=8b0dae14a5af0ad2892bac0e606467af6148c8d1, the dialog would show a preview dynamically; e.g., entering 20, the indent would almost reach right margin on preview; upon adding the "mm" suffix, the indent would look right; and confirming the change, one would get 2 cm indent.

Starting from the said commit, the dialog doesn't show the indent dynamically; and the end result (after pressing OK) is 16.5 cm.

See also https://ask.libreoffice.org/en/question/162779/measurement-units-ignored-since-61/ indicating this problem to affect other places throughout the suite - relevant welding commits might have affected those parts, too.

The commit above was backported to 6-1 branch as commit 903e664735b6bb0d58a16e08db8dfcb3fe52ed94.
Comment 1 Commit Notification 2018-08-14 14:47:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba209b98f99b2b547dc94445efbc7263c47abf16

Resolves: tdf#119251 parse non-default units in user inputted values

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Caolán McNamara 2018-08-14 14:53:05 UTC
backport to 6-1 in gerrit.

The units are parsed now to restore that feature (update remains deferred to losing focus or explicit up/down which is consistent across the welded things)
Comment 3 Commit Notification 2018-08-14 20:26:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a56b72413d5f555c854e36d3bd2fd50ec21644c&h=libreoffice-6-1

Resolves: tdf#119251 parse non-default units in user inputted values

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.